# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Enum GwoAutoPruneMode.Value

    java.lang.Object
      java.lang.Enum<GwoAutoPruneMode.Value>
          com.google.gdata.data.analytics.GwoAutoPruneMode.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GwoAutoPruneMode.Value>

Enclosing class:
  GwoAutoPruneMode

    public static enum GwoAutoPruneMode.Value

extends java.lang.Enum<GwoAutoPruneMode.Value>

Value.

Enum Constant Summary
`AGGRESSIVE` Aggressive auto-prune mode.
`CONSERVATIVE` Conservative auto-prune mode.
`NONE` None auto-prune mode.
`NORMAL` Normal auto-prune mode.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the XML.
`static GwoAutoPruneMode.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GwoAutoPruneMode.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AGGRESSIVE

    public static final GwoAutoPruneMode.Value AGGRESSIVE

  Aggressive auto-prune mode.

### CONSERVATIVE

    public static final GwoAutoPruneMode.Value CONSERVATIVE

  Conservative auto-prune mode.

### NONE

    public static final GwoAutoPruneMode.Value NONE

  None auto-prune mode.

### NORMAL

    public static final GwoAutoPruneMode.Value NORMAL

  Normal auto-prune mode.

Method Detail

### values

    public static GwoAutoPruneMode.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GwoAutoPruneMode.Value c : GwoAutoPruneMode.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GwoAutoPruneMode.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the XML.

  Returns:
    value used in the XML